summaryrefslogtreecommitdiffstats
path: root/source/l/gnome-icon-theme/gnome-icon-theme.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/gnome-icon-theme/gnome-icon-theme.SlackBuild')
-rwxr-xr-xsource/l/gnome-icon-theme/gnome-icon-theme.SlackBuild72
1 files changed, 37 insertions, 35 deletions
diff --git a/source/l/gnome-icon-theme/gnome-icon-theme.SlackBuild b/source/l/gnome-icon-theme/gnome-icon-theme.SlackBuild
index a200d1cf7..477bc8232 100755
--- a/source/l/gnome-icon-theme/gnome-icon-theme.SlackBuild
+++ b/source/l/gnome-icon-theme/gnome-icon-theme.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009, 2010 Patrick Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2012 Patrick Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -21,7 +21,10 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=${VERSION:-$(echo gnome-icon-theme-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+VERSION=3.4.0 # main package version
+SYMVERS=3.4.0 # gnome-icon-theme-symbolic version
+EXTRAVERS=3.4.0 # gnome-icon-theme-extras version
+
BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j7 "}
@@ -50,40 +53,39 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf gnome-icon-theme-$VERSION
-tar xvf $CWD/gnome-icon-theme-$VERSION.tar.?z* || exit 1
-cd gnome-icon-theme-$VERSION || exit 1
-chown -R root:root .
-find . \
- \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
-
-# Use the "old" /usr/lib/pkgconfig instead of the /usr/share/pkgconfig
-zcat $CWD/gnome-icon-theme.pkgconfig.path.diff.gz | patch -p1 --verbose || exit 1
-
-./configure \
- --prefix=/usr \
- --libdir=/usr/lib${LIBDIRSUFFIX} \
- --sysconfdir=/etc \
- --enable-icon-mapping \
- --localstatedir=/var/lib || exit 1
-make $NUMJOBS || make || exit 1
-make install DESTDIR=$PKG || exit 1
-
-mkdir -p $PKG/usr/doc/gnome-icon-theme-$VERSION
-cp -a \
- AUTHORS COPYING* NEWS README* TODO \
- $PKG/usr/doc/gnome-icon-theme-$VERSION
-
-# If there's a ChangeLog, installing at least part of the recent history
-# is useful, but don't let it get totally out of control:
-if [ -r ChangeLog ]; then
- DOCSDIR=$(echo $PKG/usr/doc/*-$VERSION)
- cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
- touch -r ChangeLog $DOCSDIR/ChangeLog
-fi
+for ICONPKG in gnome-icon-theme-$VERSION gnome-icon-theme-symbolic-$SYMVERS gnome-icon-theme-extras-$EXTRAVERS ; do
+ tar xvf $CWD/$ICONPKG.tar.?z* || exit 1
+ cd $ICONPKG || exit 1
+ chown -R root:root .
+ find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+ ./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --enable-icon-mapping \
+ --localstatedir=/var/lib || exit 1
+ make $NUMJOBS || make || exit 1
+ make install DESTDIR=$PKG || exit 1
+ mkdir -p $PKG/usr/doc/$ICONPKG
+ cp -a \
+ AUTHORS COPYING* NEWS README* TODO \
+ $PKG/usr/doc/$ICONPKG
+ if [ -r ChangeLog ]; then
+ cat ChangeLog | head -n 1000 > $PKG/usr/doc/$ICONPKG/ChangeLog
+ touch -r ChangeLog $PKG/usr/doc/$ICONPKG/ChangeLog
+ fi
+ cd ..
+done
+
+# It's a bad idea to ship these in the packages. If they aren't kept
+# updated, there will be missing icons. Let the user create them if
+# they care to.
+find $PKG -name icon-theme.cache -exec rm "{}" \;
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc